Class SupportCasesImpl

java.lang.Object
com.eqixiac.equinix.customerportal.client.implementation.SupportCasesImpl
All Implemented Interfaces:
SupportCases

public class SupportCasesImpl extends Object implements SupportCases
  • Constructor Details

    • SupportCasesImpl

      public SupportCasesImpl()
  • Method Details

    • create

      public String create(SupportCaseCreateRequest request)
      Description copied from interface: SupportCases
      Creates a trouble ticket / case.
      Specified by:
      create in interface SupportCases
      Parameters:
      request - the ticket create request body
      Returns:
      the created case or order number (the id of the TicketResponse body)
    • getByCaseOrOrderNumber

      public SupportCase getByCaseOrOrderNumber(String id)
      Description copied from interface: SupportCases
      Gets a trouble ticket / case by its case or order number.
      Specified by:
      getByCaseOrOrderNumber in interface SupportCases
      Parameters:
      id - the case or order number
      Returns:
      the trouble ticket / case
    • addNotesById

      public Boolean addNotesById(String id, SupportCaseNoteRequest request)
      Description copied from interface: SupportCases
      Adds a note to a trouble ticket / case identified by its case or order number.
      Specified by:
      addNotesById in interface SupportCases
      Parameters:
      id - the case or order number
      request - the note request body
      Returns:
      true if the note was added successfully
    • cancel

      public Boolean cancel(String id, SupportCaseCancelRequest request)
      Description copied from interface: SupportCases
      Cancels a trouble ticket / case identified by its case or order number.
      Specified by:
      cancel in interface SupportCases
      Parameters:
      id - the case or order number
      request - the cancellation request body
      Returns:
      true if the ticket was cancelled successfully
    • addNotesByCaseNumber

      public Boolean addNotesByCaseNumber(String caseNumber, SupportCaseNoteRequest request)
      Description copied from interface: SupportCases
      Adds a note to a case identified by its case number, via the support v1 API.
      Specified by:
      addNotesByCaseNumber in interface SupportCases
      Parameters:
      caseNumber - the case number
      request - the note request body
      Returns:
      true if the note was added successfully
    • downloadAttachment

      public byte[] downloadAttachment(String caseId, String attachmentId)
      Description copied from interface: SupportCases
      Downloads the binary content of an attachment on a support case.

      Maps to GET /support/v2/tickets/attachment/download/{caseId}/{attachmentId}.

      Specified by:
      downloadAttachment in interface SupportCases
      Parameters:
      caseId - the case or order number the attachment belongs to
      attachmentId - the attachment id
      Returns:
      the raw attachment bytes
    • getEmailDetails

      public EmailDetails getEmailDetails(String emailId, String caseNumber)
      Description copied from interface: SupportCases
      Retrieves the full details of a single email associated with a support case.

      Maps to GET /support/v1/tickets/emailDetails/{emailId}/caseNumber/{caseNumber}.

      Specified by:
      getEmailDetails in interface SupportCases
      Parameters:
      emailId - the email id
      caseNumber - the case number the email belongs to
      Returns:
      the email details